> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# List all QC requests and checklists for reporting

> Retrieve a paginated list of all QC requests with extended metadata for reporting. Uses file_requests for document data.



## OpenAPI

````yaml /api-reference/qc/openapi.yaml get /v2/qc/feedback
openapi: 3.0.0
info:
  title: QC API
  description: >-
    API for managing Quality Control checklists, requests, approving or
    rejecting requests, etc.
  version: 2.0.0
  contact:
    name: Slate API Support
    email: api-support@slate.inc
    url: https://slate.inc
servers:
  - url: https://api.slate.inc/qc
    description: Production
  - url: https://api.uat.slate.inc/qc
    description: UAT (staging)
security:
  - bearerAuth: []
paths:
  /v2/qc/feedback:
    get:
      summary: List all QC requests and checklists for reporting
      description: >-
        Retrieve a paginated list of all QC requests with extended metadata for
        reporting. Uses file_requests for document data.
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/owner'
        - $ref: '#/components/parameters/orderDirection'
        - in: query
          name: orderBy
          description: The column to order the results by, defaults to `id`
          schema:
            type: string
            default: id
            enum:
              - id
              - matterReference
              - status
              - processName
              - reviewCompletedOn
        - in: query
          name: filter
          description: One or more columns and their values on which to filter results
          style: deepObject
          schema:
            type: object
            properties:
              completedBy:
                type: string
                description: >
                  Filter requests to those with a specific actor (somebody who
                  was involved in the original QC process). A specific user ID
                  must be provided.
              matterReference:
                type: string
              processName:
                type: string
                description: |
                  Filter requests to those with a specific process name.
              reviewedBy:
                type: string
                description: >
                  Filter requests by reviewer. A specific user ID must be
                  provided.
              reviewedFrom:
                type: string
                format: date
                description: >
                  Filter requests to those with reviews completed on or after a
                  specific date.
              reviewedTo:
                type: string
                format: date
                description: >
                  Filter requests to those with reviews completed on or before a
                  specific date.
              roleId:
                type: string
                description: >
                  Filter requests to those with a specific participating role. A
                  role id must be provided.
              status:
                type: string
                enum:
                  - completed
                  - approved
                  - rejected
      responses:
        '200':
          description: A paginated list of QC requests
          content:
            application/json:
              schema:
                type: object
                properties:
                  qcRequests:
                    type: array
                    items:
                      $ref: '#/components/schemas/QCFeedback'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized or invalid permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Unexpected internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    limit:
      in: query
      name: limit
      required: false
      schema:
        type: integer
        default: 100
        minimum: 1
      description: The number of items to return per page (default 10).
    cursor:
      in: query
      name: cursor
      required: false
      schema:
        type: string
      description: The cursor for fetching the next page of results.
    owner:
      in: query
      name: owner
      required: true
      schema:
        type: string
      description: Owner to filter the results to.
    orderDirection:
      in: query
      name: orderDirection
      description: The direction to order the results by
      schema:
        type: string
        default: asc
        enum:
          - asc
          - desc
  schemas:
    QCFeedback:
      type: object
      required:
        - id
        - status
        - createdOn
        - checklistItems
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the QC request
        createdOn:
          type: string
          format: date-time
          description: Timestamp when the QC request was created
        matterReference:
          type: string
        reviewCompletedOn:
          type: string
          format: date-time
          description: Timestamp when the QC request had its review completed
        reviewedBy:
          type: string
          description: User ID that reviewed the QC request
        status:
          type: string
          enum:
            - approved
            - rejected
            - pending
        processName:
          type: string
          description: Display name of the associated QC process
        notes:
          type: string
          description: Notes about rework for the request
        checklistItems:
          type: array
          items:
            $ref: '#/components/schemas/QCRequestChecklistItem'
    Pagination:
      type: object
      properties:
        totalCount:
          type: integer
          description: Total number of templates available.
        previousCursor:
          type: string
          description: >-
            The cursor to fetch the previous page of results (empty string if
            there are no more pages).
        nextCursor:
          type: string
          description: >-
            The cursor to fetch the next page of results (empty string if there
            are no more pages).
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: A human readable error message
    QCRequestChecklistItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the QC checklist item
        createdOn:
          type: string
          format: date-time
          description: Timestamp when the QC checklist item was created
        displayName:
          type: string
          description: Name of the QC checklist item
        description:
          type: string
          description: Description of the QC checklist item
        status:
          type: string
          enum:
            - approved
            - rejected
            - pending
            - not_applicable
        roleId:
          type: string
          description: Unique identifier of a QC checklist role assigned to item
        completedBy:
          type: string
          description: User ID that completed the QC checklist item
        group:
          type: string
          description: >
            The precomputed display label for this item's group and position
            within it (e.g. `A1`, `1-1`), for `review` type requests. Empty when
            the item has no group.
        allowNA:
          type: boolean
          description: >-
            Whether reviewers can mark this item Not Applicable. Only applicable
            to `review` type requests.
        reviewerNote:
          type: string
          description: >-
            Reviewer-entered note explaining a rejected item. Only applicable to
            `review` type requests.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Owner-scoped bearer token. The `owner` a request is scoped to is derived
        from the token; list endpoints also take an explicit `owner` query
        parameter your token must be authorized to read.

````